### Hierarchy

- Base

## Index

### Constructors

- constructor

### Accessors

- accountManager
- dataRequestManager
- offerManager
- profileManager
- searchManager
- walletManager

### Methods

- changeStrategy

## Constructors

### constructor

- new Base(nodeHost: string, siteOrigin: string, strategy?: RepositoryStrategyType, signerHost?: string): Base

- - Defined in Base.ts:115

  #### Parameters

  - ##### nodeHost: string

  - ##### siteOrigin: string

  - ##### Default value strategy: RepositoryStrategyType = RepositoryStrategyType.Postgres

  - ##### Default value signerHost: string = ""

  #### Returns Base

## Accessors

### accountManager

- get accountManager(): AccountManager

- - Defined in Base.ts:195

  #### Returns AccountManager

### dataRequestManager

- get dataRequestManager(): DataRequestManager

- - Defined in Base.ts:203

  #### Returns DataRequestManager

### offerManager

- get offerManager(): OfferManager

- - Defined in Base.ts:207

  #### Returns OfferManager

### profileManager

- get profileManager(): ProfileManager

- - Defined in Base.ts:199

  #### Returns ProfileManager

### searchManager

- get searchManager(): SearchManager

- - Defined in Base.ts:211

  #### Returns SearchManager

### walletManager

- get walletManager(): WalletManager

- - Defined in Base.ts:191

  #### Returns WalletManager

## Methods

### changeStrategy

- changeStrategy(strategy: RepositoryStrategyType): void

- - Defined in Base.ts:187

  #### Parameters

  - ##### strategy: RepositoryStrategyType

  #### Returns void

Generated using TypeDoc